import {
  TransitionalStyles
} from "./chunk.B3A3ZVNB.js";
import {
  tokens
} from "./chunk.ESN5KBOJ.js";
import {
  GdsElement
} from "./chunk.TMEWQZER.js";
import {
  gdsCustomElement,
  html
} from "./chunk.QK3R23GV.js";
import {
  __decorateClass
} from "./chunk.SEHSDSX2.js";

// libs/core/src/primitives/selection-controls/selection-field-label.ts
import { localized } from "@lit/localize";
import { property } from "lit/decorators.js";
import { classMap } from "lit/directives/class-map.js";

// libs/core/src/primitives/selection-controls/selection-field-label.styles.ts
import { css } from "lit";
var styles = css`
  @layer base, a11y;

  @layer a11y {
    @media (prefers-reduced-motion: reduce) {
      .field-label {
        transition: none;
      }
    }
  }

  @layer base {
    * {
      box-sizing: border-box;
      --_color: var(--_radio-label-color, inherit);
    }

    .selection-field-container {
      display: flex;
      gap: var(--gds-space-s);
      cursor: pointer;
    }

    .selection-field-label {
      display: flex;
      flex-direction: column;
      justify-content: center;
      color: var(--_color);
    }

    .primary-label {
      font-weight: var(--gds-text-weight-book);
      cursor: pointer;
    }

    .supporting-text {
      font-size: var(--_font-size-supporting-text);
      line-height: var(--_line-height-supporting-text);
      font-weight: var(--gds-text-weight-regular);
    }
  }
`;

// libs/core/src/primitives/selection-controls/selection-field-label.ts
var GdsSelectionFieldLabel = class extends GdsElement {
  constructor() {
    super();
    this.label = "";
    this.supportingText = "";
  }
  connectedCallback() {
    super.connectedCallback();
    TransitionalStyles.instance.apply(this, "gds-selection-field-label");
  }
  render() {
    const classes = {
      "selection-field-label": true,
      "has-supporting-text": !!this.supportingText
    };
    return html`
      <div class="selection-field-container">
        <div class="control-slot">
          <slot></slot>
        </div>
        <div class="${classMap(classes)}">
          <label class="primary-label"> ${this.label} </label>
          ${this.label ? html`
                <span class="supporting-text"> ${this.supportingText} </span>
              ` : ""}
        </div>
      </div>
    `;
  }
};
GdsSelectionFieldLabel.styles = [tokens, styles];
__decorateClass([
  property()
], GdsSelectionFieldLabel.prototype, "label", 2);
__decorateClass([
  property({ attribute: "supporting-text" })
], GdsSelectionFieldLabel.prototype, "supportingText", 2);
GdsSelectionFieldLabel = __decorateClass([
  gdsCustomElement("gds-selection-field-label"),
  localized()
], GdsSelectionFieldLabel);

export {
  GdsSelectionFieldLabel
};
